Get Policies

Retrieve all Policies based on provided filters

  • name (str or None): Optional. The name of the policy to filter by.
  • status (PolicyStatus or None): Optional. The status of the policy to filter by.
  • created_by (str or None): Optional. The creator of the policy to filter by.
  • dataset_id (str or None): Optional. The ID of the dataset associated with the policy to filter by.
  • search (str or None): Optional. Global search term that searches across policy ID, name, and updated_at fields. If both search and specific filters are provided, search takes precedence.

Raises:
500: If there is a server error.
404: If the requested resource is not found.
200: If the operation is successful.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns a paged list of policies. Filter by name, status, created_by, dataset_id, or dataset_b_id, or use search, which takes precedence over the filters. Set only_archived to true to return archived policies only.

When to use it

Use it to find a policy's ID, or to list the policies with a status such as unhealthy.

Required parameters

This call takes no required parameters.

Optional query parameters: only_archived, name, status, created_by, dataset_id, dataset_b_id, search. Use page and size to page through the results.

Response

A successful call returns 200 OK with a page of PolicyResponse objects in items, plus the paging fields total, page, size, and pages.

Related: Get a policy, Search policies, Create a policy

Query Params
boolean
Defaults to false

Only return archived policies

PolicyStatus | null
integer
≥ 1
Defaults to 1

Page number

integer
≤ 1000
Defaults to 25
Responses

404

Not Found

500

Internal Server Error

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json